2004年11月21日

[vine-users:068752] Re: gtk-2.0について

加藤(大阪)です。

Sun, 21 Nov 2004 03:43:27 +0900 付
Fujita Yoshihikoさんのメールより:

> > たしかに、/usr/includeの下にあるのは gtk-2.0であってgtkではありま
> > せん。そう思ってプログラムの
> > #include <gtk/gtk.h>を
> > #include <gtk-2.0/gtk/gtk.h>としましたが今度はgtk.hにある数多くの
> > #include

> > ファイルが見つからない旨のメッセージが表示されます。
> > このような状況を解決する方法をご存知の方は教えてください。
>
> はっきりしたことはわかりませんが、gtk と gtk2 は互換性が無いのかも
> しれません。

fluxconf の version を書かれておられないのではっきりした事は言えませんが
、現時点での最新版 http://devaux.fabien.free.fr/flux/ に有る 0.9.7)だと
仮定してお話をしますと、gtk と gtk2 のどちらかの開発パッケージがインスト
ールされていれば make 可能だと思うんですが・・・。(どちらも入っていれば
、gtk2 が優先されるようです)

> -I/usr/include/gtk-1.2
> を足してみたらどうでしょうか。

これは configure スクリプトが環境に合わせて -I オプションを調整してくれ
る筈です。
(gtk+-devel、又は gtk2-devel を apt-get で新規に入れたり、入れ直した後は
、再度 ./configure する必要が有ります。(念の為))

Makefile 内の CFLAGS の項の -I オプションの gtk 関連部分はどうなっていま
すか?

--
加藤 雅 <mkato@xxxxx>
http://add10.hp.infoseek.co.jp/rox/

投稿者 xml-rpc : 2004年11月21日 05:05
役に立ちました?:
過去のフィードバック 平均:(0) 総合:(0) 投票回数:(0)
本記事へのTrackback: http://hoop.euqset.org/blog/mt-tb2006.cgi/28067
トラックバック
コメント
コメントする




画像の中に見える文字を入力してください。